Subject: Re: Linux-next-20191106 : arm64: Internal error: Oops: 96000007

From: Mark Brown <[email-masked]>
Date: Wed, 6 Nov 2019 16:17:05 +0000

On Wed, Nov 06, 2019 at 04:07:52PM +0000, Robin Murphy wrote:

> FWIW this smells like a builtin driver had its of_device_id table marked
> __init, leaving drv->of_match_table as a dangling pointer to freed memory by
> this point.

Indeed, in fact I sent a fix for this to Linus Walleij yesterday having
seen the relevant build warning when testing -next.  Someone already
reported that it fixed the boot issues.  Hopefully Linus will pick it up
soon :/